Bug 59905 - Fix member variable order of ContextMenuItem
Summary: Fix member variable order of ContextMenuItem
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Patrick R. Gansterer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-01 17:55 PDT by Patrick R. Gansterer
Modified: 2011-07-10 09:33 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.38 KB, patch)
2011-05-01 17:57 PDT, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick R. Gansterer 2011-05-01 17:55:13 PDT
Fix member variable order of ContextMenuItem
Comment 1 Patrick R. Gansterer 2011-05-01 17:57:02 PDT
Created attachment 91864 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-05-11 20:34:45 PDT
Comment on attachment 91864 [details]
Patch

This is true for all platforms?
Comment 3 Patrick R. Gansterer 2011-05-12 00:13:58 PDT
(In reply to comment #2)
> (From update of attachment 91864 [details])
> This is true for all platforms?

AFAIKS Yes, because this member variables are only used in ContextMenuItem.cpp. I don't see a platform file using this variables.
Comment 4 Hajime Morrita 2011-05-15 21:55:46 PDT
Comment on attachment 91864 [details]
Patch

Looks no harm to land. All bots are green.
Comment 5 WebKit Review Bot 2011-05-16 01:25:11 PDT
Comment on attachment 91864 [details]
Patch

Rejecting attachment 91864 [details] from review queue.

morrita@google.com does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 6 WebKit Review Bot 2011-07-10 09:33:07 PDT
Comment on attachment 91864 [details]
Patch

Clearing flags on attachment: 91864

Committed r90692: <http://trac.webkit.org/changeset/90692>
Comment 7 WebKit Review Bot 2011-07-10 09:33:11 PDT
All reviewed patches have been landed.  Closing bug.